package cn.com.ty.lift.ud.userresume.service.impl;

import cn.com.ty.lift.ud.recruitmentInfos.mapper.entity.RecruitmentDeliveryEntity;
import cn.com.ty.lift.ud.recruitmentInfos.service.IRecruitmentDeliveryService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.userresume.mapper.UserResumeMapper;
import cn.com.ty.lift.ud.userresume.mapper.entity.UserResume;
import cn.com.ty.lift.ud.userresume.service.IUserResumeService;

/**
 * 用户简历信息 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-24
 */
@Service
@Transactional
public class UserResumeServiceImpl extends ServiceImpl<UserResumeMapper, UserResume>
        implements IUserResumeService {
    @Autowired
    private IRecruitmentDeliveryService recruitmentDeliveryService;

    @Override
    public RestResponse<UserResume> applyJob(UserResume entity) {
        save(entity);
        UserResume byId = getById(entity.getId());

        RecruitmentDeliveryEntity rde = new RecruitmentDeliveryEntity();
        rde.setDataId(entity.getInfoId());
        rde.setResumeId(byId.getId());
        rde.setUserId(entity.getUserId());
        recruitmentDeliveryService.save(rde);

        return RestResponse.success(null, "申请成功");
    }
}
